extends ../../partial/pug/component

append vars
  - var title = "Utilitário de Textos";

append style
  style.
    .overflow {
      overflow: auto;
    }

append content
  p.h4 Alinhamento
  strong.bg-green-warm-vivid-10.px-half.rounder-sm .text-center
  p.text-center Lorem ipsum dolor sit amet consectetur adipisicing elit. Maxime quae officiis ipsam numquam optio aliquid distinctio ea minima tempore corrupti, quos suscipit deleniti in minus deserunt officia. Sunt, soluta ex.
  strong.bg-green-warm-vivid-10.px-half.rounder-sm .text-justify
  p.text-justify Lorem ipsum dolor sit amet consectetur adipisicing elit. Maxime quae officiis ipsam numquam optio aliquid distinctio ea minima tempore corrupti, quos suscipit deleniti in minus deserunt officia. Sunt, soluta ex.
  strong.bg-green-warm-vivid-10.px-half.rounder-sm .text-left
  p.text-left Lorem ipsum dolor sit amet consectetur adipisicing elit. Maxime quae officiis ipsam numquam optio aliquid distinctio ea minima tempore corrupti, quos suscipit deleniti in minus deserunt officia. Sunt, soluta ex.
  strong.bg-green-warm-vivid-10.px-half.rounder-sm .text-right
  p.text-right Lorem ipsum dolor sit amet consectetur adipisicing elit. Maxime quae officiis ipsam numquam optio aliquid distinctio ea minima tempore corrupti, quos suscipit deleniti in minus deserunt officia. Sunt, soluta ex.

  p.h4 Wrap e overflow
  strong.bg-green-warm-vivid-10.px-half.rounder-sm .text-wrap
  p.text-wrap Lorem ipsum dolor sit amet consectetur adipisicing elit. Maxime quae officiis ipsam numquam optio aliquid distinctio ea minima tempore corrupti, quos suscipit deleniti in minus deserunt officia. Sunt, soluta ex. Lorem ipsum dolor sit amet consectetur adipisicing elit. Adipisci quibusdam saepe provident, quisquam numquam aliquid commodi deleniti vitae ullam, laboriosam aut perspiciatis optio veritatis velit natus nam, hic architecto itaque.
  strong.bg-green-warm-vivid-10.px-half.rounder-sm .text-nowrap
  p.text-nowrap.overflow-auto.overflow Lorem ipsum dolor sit amet consectetur adipisicing elit. Maxime quae officiis ipsam numquam optio aliquid distinctio ea minima tempore corrupti, quos suscipit deleniti in minus deserunt officia. Sunt, soluta ex. Lorem ipsum dolor, sit amet consectetur adipisicing elit. Consectetur odit laboriosam ratione maxime adipisci velit, earum, est dolorem ullam, ducimus molestias totam accusantium explicabo inventore aperiam culpa ad. Quis, eius.
  strong.bg-green-warm-vivid-10.px-half.rounder-sm .text-truncate
  p.text-truncate Lorem ipsum dolor sit amet consectetur adipisicing elit. Maxime quae officiis ipsam numquam optio aliquid distinctio ea minima tempore corrupti, quos suscipit deleniti in minus deserunt officia. Sunt, soluta ex. Lorem ipsum dolor, sit amet consectetur adipisicing elit. Animi inventore eos, facilis iste, doloribus molestias nesciunt enim magni voluptatum voluptatem illo. Dolore ipsa voluptatem quisquam deserunt tempora fugit est. Consequatur.
  strong.bg-green-warm-vivid-10.px-half.rounder-sm .text-break
  p.text-break Lorem ipsum dolor sit amet consectetur adipisicing elit. Maxime quae officiis ipsam numquam optio aliquid distinctio ea minima tempore corrupti, quos suscipit deleniti in minus deserunt officia. Sunt, soluta ex. Lorem ipsum dolor sit amet consectetur, adipisicing elit. Officia illum, alias quam cum corporis veritatis nobis repellendus, molestias nostrum ad veniam. Voluptatem velit at, quidem adipisci ullam quo. Ad, consequuntur?

  p.h4.mt-5 Transformação
  p
    strong.bg-green-warm-vivid-10.px-half.mr-1.rounder-sm .text-lowercase
    span.text-lowercase Lorem ipsum
  p
    strong.bg-green-warm-vivid-10.px-half.mr-1.rounder-sm .text-uppercase
    span.text-uppercase Lorem ipsum
  p
    strong.bg-green-warm-vivid-10.px-half.mr-1.rounder-sm .text-capitalize
    span.text-capitalize Lorem ipsum

  p.h4.mt-5 Peso
  p
    strong.bg-green-warm-vivid-10.px-half.mr-1.rounder-sm .text-weight-thin
    span.text-weight-thin Lorem ipsum
  p
    strong.bg-green-warm-vivid-10.px-half.mr-1.rounder-sm .text-weight-extra-light
    span.text-weight-extra-light Lorem ipsum
  p
    strong.bg-green-warm-vivid-10.px-half.mr-1.rounder-sm .text-weight-light
    span.text-weight-light Lorem ipsum
  p
    strong.bg-green-warm-vivid-10.px-half.mr-1.rounder-sm .text-weight-regular
    span.text-weight-regular Lorem ipsum
  p
    strong.bg-green-warm-vivid-10.px-half.mr-1.rounder-sm .text-weight-medium
    span.text-weight-medium Lorem ipsum
  p
    strong.bg-green-warm-vivid-10.px-half.mr-1.rounder-sm .text-weight-semi-bold
    span.text-weight-semi-bold Lorem ipsum
  p
    strong.bg-green-warm-vivid-10.px-half.mr-1.rounder-sm .text-weight-bold
    span.text-weight-bold Lorem ipsum
  p
    strong.bg-green-warm-vivid-10.px-half.mr-1.rounder-sm .text-weight-extra-bold
    span.text-weight-extra-bold Lorem ipsum
  p
    strong.bg-green-warm-vivid-10.px-half.mr-1.rounder-sm .text-weight-black
    span.text-weight-black Lorem ipsum

  p.h4.mt-5 Tamanho
  p
    strong.bg-green-warm-vivid-10.px-half.mr-1.rounder-sm .text-up-07
    span.text-up-07 Lorem ipsum
  p
    strong.bg-green-warm-vivid-10.px-half.mr-1.rounder-sm .text-up-06
    span.text-up-06 Lorem ipsum
  p
    strong.bg-green-warm-vivid-10.px-half.mr-1.rounder-sm .text-up-05
    span.text-up-05 Lorem ipsum
  p
    strong.bg-green-warm-vivid-10.px-half.mr-1.rounder-sm .text-up-04
    span.text-up-04 Lorem ipsum
  p
    strong.bg-green-warm-vivid-10.px-half.mr-1.rounder-sm .text-up-03
    span.text-up-03 Lorem ipsum
  p
    strong.bg-green-warm-vivid-10.px-half.mr-1.rounder-sm .text-up-02
    span.text-up-02 Lorem ipsum
  p
    strong.bg-green-warm-vivid-10.px-half.mr-1.rounder-sm .text-up-01
    span.text-up-01 Lorem ipsum
  p
    strong.bg-green-warm-vivid-10.px-half.mr-1.rounder-sm .text-base
    span.text-base Lorem ipsum
  p
    strong.bg-green-warm-vivid-10.px-half.mr-1.rounder-sm .text-down-01
    span.text-down-01 Lorem ipsum
  p
    strong.bg-green-warm-vivid-10.px-half.mr-1.rounder-sm .text-down-02
    span.text-down-02 Lorem ipsum
  p
    strong.bg-green-warm-vivid-10.px-half.mr-1.rounder-sm .text-down-03
    span.text-down-03 Lorem ipsum
